NAME
Tcl_RecordAndEval - save command on history list before evaluating

SYNOPSIS
#include <tcl.h>

int
Tcl_RecordAndEval(interp, cmd, eval)

ARGUMENTS
Tcl interpreter in which to evaluate command. Command (or sequence of commands) to execute. 0 means evaluate cmd, TCL_NO_EVAL means record it but don't evaluate it.

DESCRIPTION

Tcl_RecordAndEval is invoked to record a command as an event on the history list and then execute it. It returns a completion code such as TCL_OK just like Tcl_Eval and it leaves information in interp->result. If you don't want the command recorded on the history list then you should invoke Tcl_Eval instead of Tcl_RecordAndEval. Normally Tcl_RecordAndEval is only called with top-level commands typed by the user, since the purpose of history is to allow the user to re-issue recently-invoked commands. If the eval argument is TCL_NO_EVAL then the command is recorded without being evaluated.

KEYWORDS
command, event, execute, history, interpreter, record